# Uses of Class
org.jsoup.nodes.Document

Packages that use Document
Package
Description
org.jsoup
Contains the main `Jsoup` class, which provides convenient static access to the jsoup functionality.
org.jsoup.helper
Package containing classes supporting the core jsoup code.
org.jsoup.nodes
HTML document structure nodes.
org.jsoup.parser
Contains the HTML parser, tag specifications, and HTML tokeniser.
org.jsoup.safety
Contains the jsoup HTML cleaner, and safelist definitions.

## Uses of Document in org.jsoup

Methods in org.jsoup that return Document
Modifier and Type
Method
Description
`Document`
Connection.`get()`
Execute the request as a GET, and parse the result.
`Document`
Connection.Response.`parse()`
Read and parse the body of the response as a Document.
`static Document`
Jsoup.`parse(File file)`
Parse the contents of a file as HTML.
`static Document`
Jsoup.`parse(File file, String charsetName)`
Parse the contents of a file as HTML.
`static Document`
Jsoup.`parse(File file, String charsetName, String baseUri)`
Parse the contents of a file as HTML.
`static Document`
Jsoup.`parse(File file, String charsetName, String baseUri, Parser parser)`
Parse the contents of a file as HTML.
`static Document`
Jsoup.`parse(InputStream in, String charsetName, String baseUri)`
Read an input stream, and parse it to a Document.
`static Document`
Jsoup.`parse(InputStream in, String charsetName, String baseUri, Parser parser)`
Read an input stream, and parse it to a Document.
`static Document`
Jsoup.`parse(String html)`
Parse HTML into a Document.
`static Document`
Jsoup.`parse(String html, String baseUri)`
Parse HTML into a Document.
`static Document`
Jsoup.`parse(String html, String baseUri, Parser parser)`
Parse HTML into a Document, using the provided Parser.
`static Document`
Jsoup.`parse(String html, Parser parser)`
Parse HTML into a Document, using the provided Parser.
`static Document`
Jsoup.`parse(URL url, int timeoutMillis)`
Fetch a URL, and parse it as HTML.
`static Document`
Jsoup.`parseBodyFragment(String bodyHtml)`
Parse a fragment of HTML, with the assumption that it forms the `body` of the HTML.
`static Document`
Jsoup.`parseBodyFragment(String bodyHtml, String baseUri)`
Parse a fragment of HTML, with the assumption that it forms the `body` of the HTML.
`Document`
Connection.`post()`
Execute the request as a POST, and parse the result.

## Uses of Document in org.jsoup.helper

Methods in org.jsoup.helper that return Document
Modifier and Type
Method
Description
`Document`
HttpConnection.`get()`
`static Document`
DataUtil.`load(File file, String charsetName, String baseUri)`
Loads and parses a file to a Document, with the HtmlParser.
`static Document`
DataUtil.`load(File file, String charsetName, String baseUri, Parser parser)`
Loads and parses a file to a Document.
`static Document`
DataUtil.`load(InputStream in, String charsetName, String baseUri)`
Parses a Document from an input steam.
`static Document`
DataUtil.`load(InputStream in, String charsetName, String baseUri, Parser parser)`
Parses a Document from an input steam, using the provided Parser.
`Document`
HttpConnection.Response.`parse()`
`Document`
HttpConnection.`post()`
Methods in org.jsoup.helper with parameters of type Document
Modifier and Type
Method
Description
`static Document`
W3CDom.`convert(Document in)`
Converts a jsoup DOM to a W3C DOM.
`void`
W3CDom.`convert(Document in, Document out)`
Converts a jsoup document into the provided W3C Document.
`Document`
W3CDom.`fromJsoup(Document in)`
Convert a jsoup Document to a W3C Document.

## Uses of Document in org.jsoup.nodes

Methods in org.jsoup.nodes that return Document
Modifier and Type
Method
Description
`Document`
Document.`clone()`
`Document`
Document.`connection(Connection connection)`
Set the Connection used to fetch this document.
`static Document`
Document.`createShell(String baseUri)`
Create a valid, empty shell of a document, suitable for adding more elements to.
`Document`
Document.`normalise()`
Normalise the document.
`Document`
Document.`outputSettings(Document.OutputSettings outputSettings)`
Set the document's output settings.
`Document`
Node.`ownerDocument()`
Gets the Document associated with this Node.
`Document`
Document.`parser(Parser parser)`
Set the parser used to create this document.
`Document`
Document.`quirksMode(Document.QuirksMode quirksMode)`
`Document`
Document.`shallowClone()`

## Uses of Document in org.jsoup.parser

Fields in org.jsoup.parser declared as Document
Modifier and Type
Field
Description
`protected Document`
TreeBuilder.`doc`
`protected Document`
TreeBuilder.`doc`
Methods in org.jsoup.parser that return Document
Modifier and Type
Method
Description
`static Document`
Parser.`parse(String html, String baseUri)`
Parse HTML into a Document.
`static Document`
Parser.`parseBodyFragment(String bodyHtml, String baseUri)`
Parse a fragment of HTML into the `body` of a Document.
`Document`
Parser.`parseInput(Reader inputHtml, String baseUri)`
`Document`
Parser.`parseInput(String html, String baseUri)`

## Uses of Document in org.jsoup.safety

Methods in org.jsoup.safety that return Document
Modifier and Type
Method
Description
`Document`
Cleaner.`clean(Document dirtyDocument)`
Creates a new, clean document, from the original dirty document, containing only elements allowed by the safelist.
Methods in org.jsoup.safety with parameters of type Document
Modifier and Type
Method
Description
`Document`
Cleaner.`clean(Document dirtyDocument)`
Creates a new, clean document, from the original dirty document, containing only elements allowed by the safelist.
`boolean`
Cleaner.`isValid(Document dirtyDocument)`
Determines if the input document bodyis valid, against the safelist.